# C memory management library

From cppreference.com
< cpp‎ | memory

### Functions

Defined in header `<cstdlib>`
malloc | allocates memory (function)
aligned_alloc (C++17) | allocates aligned memory (function)
calloc | allocates and zeroes memory (function)
realloc | expands previously allocated memory block (function)
free | deallocates previously allocated memory (function)

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/c&oldid=86206"